Close an account
curl --request POST \
--url https://api.creem.io/v1/customer-credits/accounts/{id}/close \
--header 'x-api-key: <api-key>'import requests
url = "https://api.creem.io/v1/customer-credits/accounts/{id}/close"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.creem.io/v1/customer-credits/accounts/{id}/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cca_abc123",
"store_id": "<string>",
"customer_id": "cust_abc123",
"name": "default",
"unit_label": "credits",
"created_at": "<string>",
"updated_at": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "unbalanced_transaction",
"message": "Total debits must equal total credits",
"request_id": "req_abc123def456",
"param": "entries"
}
}Close an account
Permanently close an account. This action cannot be undone.
POST
/
v1
/
customer-credits
/
accounts
/
{id}
/
close
Close an account
Authorizations
API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.
Path Parameters
Response
Account closed
Account ID
Example:
"cca_abc123"
Store ID
Owner ID
Example:
"cust_abc123"
Account name
Example:
"default"
Unit label
Example:
"credits"
Account status
Available options:
active, frozen, closed Creation timestamp
Last update timestamp
āI